Subject: Re: bug#32986: 27.0.50; unexpected delay in while-no-input + accept-process-output

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Oct 2018 05:32:35 +0300

> From: João Távora <[email-masked]>
> Date: Mon, 8 Oct 2018 21:39:53 +0100
> Cc: [email-masked]
> 
> Thank you for the clarification. I have now read the original explanation, and it makes sense.  Ultimately, I think
> the sit-for is the right approach for my wait-for-any-process-or-input problem.  Am I right to assume  it's not
> affected by your explanation, and that I can expect immediate return there?

sit-for waits for keyboard input, so yes, it should return once the
user presses some key.